Back to top

DAP++ SDK 3.14.0 (7 April 2015)

Submitted by jimg on Tue, 04/07/2015 - 17:28

The main additions to the library are DAP4 features. The library has a nearly-complete DAP4 implementation.

  • All of DAP4 has been implemented in libdap except for filters on Sequences. This will be available shortly.
  • See NEWS and ChangeLog for fixes and other additions.


Linux Tux Logo Linux (x86_64)
CentOS 6.3 RPM (gcc 4.4) sig
CentOS 6.3 RPM devel (gcc 4.4) sig

Required packages

The libdap 3.14 software requires libcurl 7.19, libxml2 2.7 and a modern pthreads library (installing the RPMs above using yum will fetch these for you automatically). To build from a fresh GitHub clone, you'll need automake 1.11, autoconf 2.63 and libtool 2.2.

Source code

Version 3.14.0
libdap-3.14.0.tar.gz, gpg signature. Required: libcurl, libxml2 and pthreads. On linux you'll need the regular packages plus the '-devel' development packages for these. They are commonly present on machines configured for development. See above. For Windows, we suggest using the OC library for client side access or building/running the server using CygWin.